rte_pktmbuf_extmem(3)

NAME
rte_pktmbuf_extmem

SYNOPSIS

#include <rte_mbuf.h>

  Data Fields

void * buf_ptr
rte_iova_t buf_iova
size_t buf_len
uint16_t elt_size

Detailed Description

A structure that describes the pinned external buffer segment.

Definition at line 854 of file rte_mbuf.h.

Field Documentation

  void* buf_ptr
The virtual address of data buffer.

Definition at line 855 of file rte_mbuf.h.

  rte_iova_t buf_iova
The IO address of the data buffer.

Definition at line 856 of file rte_mbuf.h.

  size_t buf_len
External buffer length in bytes.

Definition at line 857 of file rte_mbuf.h.

  uint16_t elt_size
mbuf element size in bytes.

Definition at line 858 of file rte_mbuf.h.

Author

Generated automatically by Doxygen for DPDK from the source code.